io.undertow.protocols.http2

## Class Http2PushBackParser

- java.lang.Object
- - io.undertow.protocols.http2.Http2PushBackParser

Direct Known Subclasses:
  Http2GoAwayParser

    public abstract class Http2PushBackParser
    extends Object

Parser that supports push back when not all data can be read.

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`Http2PushBackParser(int frameLength)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `finish()`
`int` `getFrameLength()`
`protected abstract void` `handleData(ByteBuffer resource, io.undertow.protocols.http2.Http2FrameHeaderParser headerParser)`
`boolean` `isFinished()`
`protected void` `moreData(int data)`
`void` `parse(ByteBuffer data, io.undertow.protocols.http2.Http2FrameHeaderParser headerParser)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Http2PushBackParser

    public Http2PushBackParser(int frameLength)

### Method Detail

#### parse

    public void parse(ByteBuffer data,
                      io.undertow.protocols.http2.Http2FrameHeaderParser headerParser)
               throws IOException

Throws:
  `IOException`

#### handleData

    protected abstract void handleData(ByteBuffer resource,
                                       io.undertow.protocols.http2.Http2FrameHeaderParser headerParser)
                                throws IOException

Throws:
  `IOException`

#### isFinished

    public boolean isFinished()

#### finish

    protected void finish()

#### moreData

    protected void moreData(int data)

#### getFrameLength

    public int getFrameLength()